Package org.optaplanner.core.impl.constructionheuristic.placer

## Class PooledEntityPlacerFactory<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.AbstractFromConfigFactory<Solution_,​EntityPlacerConfig_>
  - - org.optaplanner.core.impl.constructionheuristic.placer.PooledEntityPlacerFactory<Solution_>

- All Implemented Interfaces:
    `EntityPlacerFactory<Solution_>`

      public class PooledEntityPlacerFactory<Solution_>
      extends AbstractFromConfigFactory<Solution_,​EntityPlacerConfig_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.AbstractFromConfigFactory

      `config`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PooledEntityPlacerFactory​(PooledEntityPlacerConfig placerConfig)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ChangeMoveSelectorConfig` | `buildChangeMoveSelectorConfig​(HeuristicConfigPolicy<Solution_> configPolicy, String entitySelectorConfigId, GenuineVariableDescriptor<Solution_> variableDescriptor)` |
    `PooledEntityPlacer<Solution_>` | `buildEntityPlacer​(HeuristicConfigPolicy<Solution_> configPolicy)` |
    `static <Solution_> PooledEntityPlacerConfig` | `unfoldNew​(HeuristicConfigPolicy<Solution_> configPolicy, MoveSelectorConfig templateMoveSelectorConfig)` |

    - ### Methods inherited from class org.optaplanner.core.impl.AbstractFromConfigFactory

      `deduceEntityDescriptor, deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PooledEntityPlacerFactory

          public PooledEntityPlacerFactory​(PooledEntityPlacerConfig placerConfig)

  - ### Method Detail

    - #### unfoldNew

          public static <Solution_> PooledEntityPlacerConfig unfoldNew​(HeuristicConfigPolicy<Solution_> configPolicy,
                                                                       MoveSelectorConfig templateMoveSelectorConfig)

    - #### buildEntityPlacer

          public PooledEntityPlacer<Solution_> buildEntityPlacer​(HeuristicConfigPolicy<Solution_> configPolicy)

    - #### buildChangeMoveSelectorConfig

          protected ChangeMoveSelectorConfig buildChangeMoveSelectorConfig​(HeuristicConfigPolicy<Solution_> configPolicy,
                                                                           String entitySelectorConfigId,
                                                                           GenuineVariableDescriptor<Solution_> variableDescriptor)